#!/usr/bin/gnuplot

deg = pi/180.  # rad
arcsec = deg/3600.
mas = 1.e-3*arcsec

u0 = -15.940*mas
v0 =  25.609*mas
Irel = 0.5

u0_ = sqrt(u0**2+v0**2)
v0_ = 0.

musq_binary(u,v,Irel) = (1.+Irel**2+2.*Irel*cos(2.*pi*(u*u0_+v*v0_)))/(1.+Irel)**2

phi = 0.0801360675666824*mas
#phi = u0

# missing factor 2!
musq_disk(u,v) = (2.*besj1(pi*phi*sqrt(u**2+v**2))/(pi*phi*sqrt(u**2+v**2)))**2

########################################################################

mu = 1e-6
fac = 2.0

set xl "B/lambda [cycles]"
set yl "V^2 []"
set cbl "lambda [mu]"

set xr [0:]
set yr [-0.1:]
set zeroaxis
set key
set colorbox
set palette rgbformulae 33,13,10
set grid ytics
set samples 1000

p "Vis.dat" u (sqrt($2**2+$3**2)/$4):($6+fac*($8-1)):($4/mu) w p pt 7 ps 0.2 lc palette z t "observed",\
  musq_binary(x, 0., Irel) w l lc 'black' t "binary",\
  musq_binary(x, 0., 1.9) w l lc 'red' t "Irel = 1.9",\
  musq_disk(x, 0.) w l lc 'gray' t "disk",\
  1.0 w l lt 0 not

pa -1

set term png small
set out "Vis.png"
rep


