#!/usr/bin/gnuplot

load "T0.plt"

JD0 = 2457733.83207
P = 5.732436
P = x_param4

f1(x) = x > 0.0 ? x : x+1.0
frac(x) = f1(x-int(x))
phase(jd) = frac((jd-JD0)/P)

AU = 1.49597870691e11  # m
day = 86400.           # s

f(RV) = RV*1.e3 * 86400./AU
g(vb_z) = vb_z*AU/86400. / 1.e3

########################################################################

set colors classic
set term x11

set xl "phase"
set yl "vzb [km/s]"

set zeroaxis

load "T0.plt"
set arrow from T0-2400000,graph 0 to T0-2400000,graph 1 nohead lt 0

p \
  "<awk '($2==-1)' out_JDATE_barycentric.dat" u (phase($1)):(g($8)) t "1" w d lc 'orange',\
  "<awk '($2==-2)' out_JDATE_barycentric.dat" u (phase($1)):(g($8)) t "2" w d lc 'green',\
  "RV1.dat" u (phase($1)):2:3 t "observ." w err pt 1 ps 0.5 lc 'orange',\
  "RV2.dat" u (phase($1)):2:3 not         w err pt 1 ps 0.5 lc 'green',\
  "<awk '($4==1) || (NF==0)' chi2_RV.dat" u (phase($1)):2 t "residua" w l lw 3 lc 'red',\
  "<awk '($4==2) || (NF==0)' chi2_RV.dat" u (phase($1)):2 not         w l lw 3 lc 'red',\
  "<awk '($4==1) && ($5>100.0)' chi2_RV.dat" u (phase($1)):2 t "chi^2 > 100" w p pt 6 ps 2 lc 'red',\
  "<awk '($4==2) && ($5>100.0)' chi2_RV.dat" u (phase($1)):2 not             w p pt 6 ps 2 lc 'red'

pa -1

set term png small
set out "chi2_RV1.png"
rep

q


